Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 417677 (ffmpeg-0.11-breakage) - [TRACKER] media-video/ffmpeg-0.11 API breakage tracker
Summary: [TRACKER] media-video/ffmpeg-0.11 API breakage tracker
Status: RESOLVED FIXED
Alias: ffmpeg-0.11-breakage
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 2 votes (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords: Tracker
Depends on: 407621 417869 417877 417891 417983 418315 419451 419453 419551 423717 433573 435856 439604 439606 443184 443198 443256 443264 443270 445168 447838 448718 453852 453854 453856 453858 453860 453862 453866 453868 453870 453872 453874 453876 455852 455854 456170 456222 456232 457746 458912 459980 461438
Blocks:
  Show dependency tree
 
Reported: 2012-05-26 18:15 UTC by Alexis Ballier
Modified: 2017-01-19 18:47 UTC (History)
7 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexis Ballier gentoo-dev 2012-05-26 18:15:31 UTC
this releases introduces an API/ABI breakage; as usual: please file separate bugs for each packages making it block this one.

its pmasked, so unmask it only if you wanna help in there :)
Comment 1 genbug 2012-06-15 03:10:46 UTC
So why is virtual/ffmpeg-0.10.3 pulling in a masked media-video/ffmpeg-0.11.1 ??


bash-4.2#em =virtual/ffmpeg-0.10.3
Calculating dependencies... done!
[ebuild  N    #] media-video/ffmpeg-0.11.1  USE="3dnow X aac alsa bindist bzip2 encode fontconfig hardcoded-tables mmx mp3 network sdl threads truetype vorbis x264 xvid zlib -3dnowext -aacplus (-altivec) -amr -ass -avresample -avx -bluray -cdio (-celt) -cpudetection -debug -doc -faac -frei0r -gnutls -gsm -ieee1394 -jack -jpeg2k -libv4l -mmxext -modplug (-neon) -openal -openssl -oss -pic -pulseaudio -rtmp -schroedinger -speex -ssse3 -static-libs -test -theora -v4l -vaapi -vdpau (-vis) -vpx" FFTOOLS="aviocat cws2fws ffeval graph2dot ismindex pktdumper qt-faststart trasher" 
[ebuild  N     ] virtual/ffmpeg-0.10.3  USE="X encode mp3 sdl threads truetype x264 -jpeg2k -theora -vaapi -vdpau" 

The following mask changes are necessary to proceed:
#required by virtual/ffmpeg-0.10.3, required by =virtual/ffmpeg-0.10.3 (argument)
# /usr/portage/new/profiles/package.mask:
# Alexis Ballier <aballier@gentoo.org> (26 May 2012)
# API/ABI has changed with this release.
# Mask until the tree is fine.
# https://bugs.gentoo.org/show_bug.cgi?id=417677
=media-video/ffmpeg-0.11.1
Comment 2 jannis 2013-01-17 18:49:18 UTC
Please also add https://bugs.gentoo.org/show_bug.cgi?id=443256
Comment 3 jannis 2013-01-19 08:21:59 UTC
another one to be added to "depends on": 443242
Comment 4 Alexis Ballier gentoo-dev 2013-02-23 13:20:02 UTC
Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/profiles/ChangeLog,v
retrieving revision 1.7525
diff -u -B -r1.7525 ChangeLog
--- ChangeLog	23 Feb 2013 13:18:15 -0000	1.7525
+++ ChangeLog	23 Feb 2013 13:19:05 -0000
@@ -7,6 +7,9 @@
 # here. If in doubt put a record here!
 
   23 Feb 2013; Alexis Ballier <aballier@gentoo.org> package.mask:
+  unmask ffmpeg-1.0
+
+  23 Feb 2013; Alexis Ballier <aballier@gentoo.org> package.mask:
   Unmask gst-{ffmpeg,libav} now that they do not need anymore a masked
   ffmpeg/libav
 
Index: package.mask
===================================================================
RCS file: /var/cvsroot/gentoo-x86/profiles/package.mask,v
retrieving revision 1.14496
diff -u -B -r1.14496 package.mask
--- package.mask	23 Feb 2013 13:18:15 -0000	1.14496
+++ package.mask	23 Feb 2013 13:19:05 -0000
@@ -574,12 +574,6 @@
 # Mask alpha release
 =sci-electronics/qelectrotech-0.30_alpha*
 
-# Alexis Ballier <aballier@gentoo.org> (26 May 2012)
-# API/ABI has changed with this release.
-# Mask until the tree is fine.
-# https://bugs.gentoo.org/show_bug.cgi?id=417677
->=media-video/ffmpeg-0.11
-



1.1 will need the planar audio formats issues to be fixed before being unmasked.